=== added file 'plugins/unityshell/resources/dash_bottom_left_corner.png'
Binary files plugins/unityshell/resources/dash_bottom_left_corner.png and plugins/unityshell/resources/dash_bottom_left_corner.png differ
=== added file 'plugins/unityshell/resources/dash_left_edge.png'
Binary files plugins/unityshell/resources/dash_left_edge.png and plugins/unityshell/resources/dash_left_edge.png differ
=== added file 'plugins/unityshell/resources/dash_left_tile.png'
Binary files plugins/unityshell/resources/dash_left_tile.png and plugins/unityshell/resources/dash_left_tile.png differ
=== added file 'plugins/unityshell/resources/dash_top_edge.png'
Binary files plugins/unityshell/resources/dash_top_edge.png and plugins/unityshell/resources/dash_top_edge.png differ
=== added file 'plugins/unityshell/resources/dash_top_right_corner.png'
Binary files plugins/unityshell/resources/dash_top_right_corner.png and plugins/unityshell/resources/dash_top_right_corner.png differ
=== added file 'plugins/unityshell/resources/dash_top_tile.png'
Binary files plugins/unityshell/resources/dash_top_tile.png and plugins/unityshell/resources/dash_top_tile.png differ
=== modified file 'plugins/unityshell/src/DashView.cpp'
--- plugins/unityshell/src/DashView.cpp	2011-08-24 21:47:34 +0000
+++ plugins/unityshell/src/DashView.cpp	2011-08-25 06:43:17 +0000
@@ -234,8 +234,13 @@
       nux::BaseTexture* bottom = style->GetDashBottomTile();
       nux::BaseTexture* right = style->GetDashRightTile();
       nux::BaseTexture* corner = style->GetDashCorner();
+      //nux::BaseTexture* left_edge = style->GetDashLeftEdge();
+      nux::BaseTexture* left_corner = style->GetDashLeftCorner();
+      nux::BaseTexture* left_tile = style->GetDashLeftTile();
       nux::TexCoordXForm texxform;
 
+      int left_corner_offset = 10;
+
       geo = content_geo_;
       geo.width += corner->GetWidth() - 12;
       geo.height += corner->GetHeight() - 12;
@@ -254,13 +259,13 @@
       }
       {
         // Bottom repeated texture
-        int real_width = geo.width - corner->GetWidth();
+        int real_width = geo.width - (left_corner->GetWidth() - left_corner_offset) - corner->GetWidth();
         int offset = real_width % bottom->GetWidth();
 
         texxform.SetTexCoordType(nux::TexCoordXForm::OFFSET_COORD);
         texxform.SetWrap(nux::TEXWRAP_REPEAT, nux::TEXWRAP_REPEAT);
 
-        gfx_context.QRP_1Tex(geo.x - offset,
+        gfx_context.QRP_1Tex(left_corner->GetWidth() - left_corner_offset - offset,
                             geo.y + (geo.height - bottom->GetHeight()),
                             real_width + offset,
                             bottom->GetHeight(),
@@ -269,6 +274,36 @@
                             nux::color::White);
       }
       {
+        // Bottom left corner
+        texxform.SetTexCoordType(nux::TexCoordXForm::OFFSET_COORD);
+        texxform.SetWrap(nux::TEXWRAP_CLAMP_TO_BORDER, nux::TEXWRAP_CLAMP_TO_BORDER);
+
+        gfx_context.QRP_1Tex(geo.x - left_corner_offset, 
+                            geo.y + (geo.height - left_corner->GetHeight()),
+                            left_corner->GetWidth(),
+                            left_corner->GetHeight(),
+                            left_corner->GetDeviceTexture(),
+                            texxform,
+                            nux::color::White);
+      }
+      {
+        // Left repeated texture
+        nux::Geometry real_geo = GetGeometry();
+        int real_height = real_geo.height - geo.height;
+        int offset = real_height % left_tile->GetHeight();
+
+        texxform.SetTexCoordType(nux::TexCoordXForm::OFFSET_COORD);
+        texxform.SetWrap(nux::TEXWRAP_REPEAT, nux::TEXWRAP_REPEAT);
+
+        gfx_context.QRP_1Tex(geo.x - 10,
+                            geo.y + geo.height - offset,
+                            left_tile->GetWidth(),
+                            real_height + offset,
+                            left_tile->GetDeviceTexture(),
+                            texxform,
+                            nux::color::White);
+      }
+      {
         // Right repeated texture
         int real_height = geo.height - corner->GetHeight();
         int offset = real_height % right->GetHeight();
@@ -328,6 +363,18 @@
 
   nux::GetPainter().PushLayer(gfx_context, bg_layer_->GetGeometry(), bg_layer_);
   layout_->ProcessDraw(gfx_context, force_draw);
+
+  auto geo = GetGeometry();
+  nux::GetPainter().Paint2DQuadColor(gfx_context,
+                                     nux::Geometry(geo.x,
+                                                   geo.y,
+                                                   1,
+                                                   content_geo_.height),
+                                     nux::Color(0.0f, 0.0f, 0.0f, 0.0f),
+                                     nux::Color(0.2f, 0.2f, 0.2f, 0.2f),
+                                     nux::Color(0.2f, 0.2f, 0.2f, 0.2f),
+                                     nux::Color(0.0f, 0.0f, 0.0f, 0.0f));
+
   nux::GetPainter().PopBackground(bgs);
 
   gfx_context.GetRenderStates().SetBlend(false);

=== modified file 'plugins/unityshell/src/Launcher.cpp'
--- plugins/unityshell/src/Launcher.cpp	2011-08-24 10:08:52 +0000
+++ plugins/unityshell/src/Launcher.cpp	2011-08-25 06:43:17 +0000
@@ -2104,21 +2104,24 @@
     icon_renderer->RenderIcon(GfxContext, *rev_it, bkg_box, base);
   }
 
-  gPainter.Paint2DQuadColor(GfxContext,
-                            nux::Geometry(bkg_box.x + bkg_box.width - 1,
-                                          bkg_box.y,
-                                          1,
-                                          bkg_box.height),
-                            nux::Color(0x60606060));
-  gPainter.Paint2DQuadColor(GfxContext,
-                            nux::Geometry(bkg_box.x,
-                                          bkg_box.y,
-                                          bkg_box.width,
-                                          20),
-                            nux::Color(0x60000000),
-                            nux::Color(0x00000000),
-                            nux::Color(0x00000000),
-                            nux::Color(0x60000000));
+  if (!_dash_is_open)
+  {
+    gPainter.Paint2DQuadColor(GfxContext,
+                              nux::Geometry(bkg_box.x + bkg_box.width - 1,
+                                            bkg_box.y,
+                                            1,
+                                            bkg_box.height),
+                              nux::Color(0x60606060));
+    gPainter.Paint2DQuadColor(GfxContext,
+                              nux::Geometry(bkg_box.x,
+                                            bkg_box.y,
+                                            bkg_box.width,
+                                            20),
+                              nux::Color(0x60000000),
+                              nux::Color(0x00000000),
+                              nux::Color(0x00000000),
+                              nux::Color(0x60000000));
+  }
 
   // FIXME: can be removed for a bgk_box->SetAlpha once implemented
   GfxContext.GetRenderStates().SetPremultipliedBlend(nux::DST_IN);

=== modified file 'plugins/unityshell/src/PlacesStyle.cpp'
--- plugins/unityshell/src/PlacesStyle.cpp	2011-08-23 22:04:46 +0000
+++ plugins/unityshell/src/PlacesStyle.cpp	2011-08-25 06:43:17 +0000
@@ -47,6 +47,9 @@
     _dash_right_texture(NULL),
     _dash_corner_texture(NULL),
     _dash_fullscreen_icon(NULL),
+    _dash_left_edge(NULL),
+    _dash_left_corner(NULL),
+    _dash_left_tile(NULL),
     _search_magnify_texture(NULL),
     _search_close_texture(NULL),
     _search_close_glow_texture(NULL),
@@ -73,6 +76,12 @@
     _dash_corner_texture->UnReference();
   if (_dash_fullscreen_icon)
     _dash_fullscreen_icon->UnReference();
+  if (_dash_left_edge)
+    _dash_left_edge->UnReference();
+  if (_dash_left_corner)
+    _dash_left_corner->UnReference();
+  if (_dash_left_tile)
+    _dash_left_tile->UnReference();
   if (_search_magnify_texture)
     _search_magnify_texture->UnReference();
   if (_search_close_texture)
@@ -169,6 +178,28 @@
   return _dash_corner_texture;
 }
 
+
+nux::BaseTexture* PlacesStyle::GetDashLeftEdge()
+{
+  if (!_dash_left_edge)
+    _dash_left_edge = TextureFromFilename(PKGDATADIR"/dash_left_edge.png");
+  return _dash_left_edge;
+}
+
+nux::BaseTexture* PlacesStyle::GetDashLeftCorner()
+{
+  if (!_dash_left_corner)
+    _dash_left_corner = TextureFromFilename(PKGDATADIR"/dash_bottom_left_corner.png");
+  return _dash_left_corner;
+}
+
+nux::BaseTexture* PlacesStyle::GetDashLeftTile()
+{
+  if (!_dash_left_tile)
+  _dash_left_tile = TextureFromFilename(PKGDATADIR"/dash_left_tile.png");
+  return _dash_left_tile;
+}
+
 nux::BaseTexture* PlacesStyle::GetDashFullscreenIcon()
 {
   if (!_dash_fullscreen_icon)

=== modified file 'plugins/unityshell/src/PlacesStyle.h'
--- plugins/unityshell/src/PlacesStyle.h	2011-08-23 22:04:46 +0000
+++ plugins/unityshell/src/PlacesStyle.h	2011-08-25 06:43:17 +0000
@@ -51,6 +51,9 @@
   nux::BaseTexture* GetDashRightTile();
   nux::BaseTexture* GetDashCorner();
   nux::BaseTexture* GetDashFullscreenIcon();
+  nux::BaseTexture* GetDashLeftEdge();
+  nux::BaseTexture* GetDashLeftCorner();
+  nux::BaseTexture* GetDashLeftTile();
 
   nux::BaseTexture* GetSearchMagnifyIcon();
   nux::BaseTexture* GetSearchCloseIcon();
@@ -82,6 +85,9 @@
   nux::BaseTexture* _dash_right_texture;
   nux::BaseTexture* _dash_corner_texture;
   nux::BaseTexture* _dash_fullscreen_icon;
+  nux::BaseTexture* _dash_left_edge;
+  nux::BaseTexture* _dash_left_corner;
+  nux::BaseTexture* _dash_left_tile;
 
   nux::BaseTexture* _search_magnify_texture;
   nux::BaseTexture* _search_close_texture;

